/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.validaciones;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;
import java.util.GregorianCalendar;

/**
 *
 * @author obper
 */
public class ObtenerFecha {

    public String FechaVar() {

        DateFormat fe = new SimpleDateFormat("dd/MM/yyyy");

        String fecha;

        Calendar c = new GregorianCalendar();

        String dia, mes, annio;

        dia = Integer.toString(c.get(Calendar.DATE));
        mes = Integer.toString(c.get(Calendar.MONTH) + 1);
        annio = Integer.toString(c.get(Calendar.YEAR));

        //  fecha = dia + "/" + mes +"/" + annio;
        fecha = fe.format(new Date());

        return fecha;
    }

    public Date intervaloFecha(int dias) {

        Calendar calendar = Calendar.getInstance();
        calendar.setTime(new Date()); // Configuramos la fecha que se recibe
        calendar.add(Calendar.DAY_OF_YEAR, dias); // numero de días a añadir, o restar en caso de días<0

      return calendar.getTime(); // Devuelve el objeto Date con los nuevos días añadidos  

    }

    public ObtenerFecha() {
    }
    

}
